
# HG changeset patch
# User Markus Mützel <markus.muetzel@gmx.de>
# Date 1647451226 -3600
# Node ID 2d394460429ff8313004ddaeea31437e90d16799
# Parent  d3123b682f63723c111a50b77716fe9349d8fb7d
build: Parse .la files in build tree when installing .oct files (bug #61905).

* Makefile.am (install-oct): Parse .la files in build tree when installing .oct
files. That should improve compatibility with tools like `slibtool` that don't
install .la files.

diff --git a/Makefile.am b/Makefile.am
--- a/Makefile.am
+++ b/Makefile.am
@@ -460,17 +460,18 @@
 	if [ -n "`cat $(OCT_FILE_PKG_ADD_FILES)`" ]; then \
 	  $(INSTALL_DATA) oct-file-pkg-add $(DESTDIR)$(octfiledir)/PKG_ADD; \
 	fi
+	top_build_dir=`pwd` && \
 	cd $(DESTDIR)$(octlibdir) && \
 	for ltlib in $(OCT_FILE_LIBS); do \
 	  f=`echo $$ltlib | $(SED) 's,.*/,,'`; \
-	  dl=`$(SED) -n -e "s/dlname='\([^']*\)'/\1/p" < $$f`; \
+	  dl=`$(SED) -n -e "s/dlname='\([^']*\)'/\1/p" < $$top_build_dir/$$ltlib`; \
 	  if [ -n "$$dl" ]; then \
 	    $(INSTALL_PROGRAM) $$dl $(DESTDIR)$(octfiledir)/`echo $$f | $(SED) 's,^lib,,; s,\.la$$,.oct,'`; \
 	  else \
 	    echo "error: dlname is empty in $$ltlib!"; \
 	    exit 1; \
 	  fi; \
-	  lnames=`$(SED) -n -e "s/library_names='\([^']*\)'/\1/p" < $$f`; \
+	  lnames=`$(SED) -n -e "s/library_names='\([^']*\)'/\1/p" < $$top_build_dir/$$ltlib`; \
 	  if [ -n "$$lnames" ]; then \
 	    rm -f $$f $$lnames $$dl; \
 	  fi \

